/* LollipopPlotImpl.java

	Purpose:
		
	Description:
		
	History:
		4:48 PM 2022/9/8, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.DefaultSingleValueCategoryModel;

/**
 * A model implementation for lollipop chart
 * @author jumperchen
 * @since 10.2.1.0
 */
public class LollipopPlotImpl extends PlotEngineImpl {

	public LollipopPlotImpl(PlotData plotData) {
		super(plotData);
	}
	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof DefaultSingleValueCategoryModel) {
			return drawSingleValueCategoryModel((DefaultSingleValueCategoryModel) model);
		}
		throw new IllegalArgumentException("Unsupported model type [" + model + "]");
	}
}
