/** ColumnRangePlotImpl.java.

	Purpose:
		
	Description:
		
	History:
		11:16:48 AM Jan 16, 2014, Created by jumperchen

Copyright (C) 2014 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.CategoryModel;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.XYModel;

/**
 * A model implementation for column pyramid chart
 *
 * @author rudyhuang
 * @since 7.2.1.0
 */
public class ColumnPyramidPlotImpl extends PlotEngineImpl {
	public ColumnPyramidPlotImpl(PlotData plotData) {
		super(plotData);
	}

	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof CategoryModel) {
			return drawCategoryModel((CategoryModel) model);
		} else if (model instanceof XYModel) {
			return drawXYModel((XYModel) model);
		}
		throw new IllegalArgumentException("Unsupported model type [" + model + "]");
	}

}
